Software requirements

Android
 development

Item
Requirement
Compatibility with previous versions of the SDK
This release of the 
BlackBerry Dynamics SDK for Android
 is compatible with the previous two releases of the SDK:
  • 5.0.x
  • 4.2.x 
It is recommended that you always build and test with the most recent release of the SDK to take advantage of new fixes and features.
Supported 
Android
 OS
 
Android
 6.0 or later 
BlackBerry Dynamics
 Handheld Library
Minimum API level: 23
BlackBerry Dynamics
 Wearable Library
Minimum API level: 23
Supported CPU architectures
  • ARMv7
  • ARMv8
  • x86
  • x86_64 
Android
 Wear dependencies
  • Google Play
     Services 11.0.1
  • Wear OS
     Emulator API level 23
Suggested versions of platform and tools
  • Android
     Studio 3 or later
  • The following values specified in sdk/libs/handheld/gd/build.gradle. Other versions of tools will work, but the 
    BlackBerry Dynamics
     library gradle files might need to be updated accordingly.
    • com.android.tools.build:gradle: 3.1.4
    • compileSdkVersion 28 (in SDK version 6.1.x or later, compileSdkVersion 29)
    • buildToolsVersion "28.0.0" (in SDK version 6.1.x or later, buildToolsVersion "29.0.0")
Character encoding for build files
Build files (for example, settings.json) must use UTF-8 character encoding. Verify that the editor that you plan to use does not add non-UTF-8 characters or headers. In general, 
Java
 does not work with UTF-8-BOM (byte order mark).
Supported launch modes
Apps built with the 
BlackBerry Dynamics SDK for Android
 support the following launch modes in AndroidManifest.xml:
  • android:launchMode="standard"
  • android:launchMode="SingleTop"
  • android:launchMode="singleTask" 
BlackBerry Dynamics Launcher Library
The 
BlackBerry Dynamics Launcher
 is a user-friendly interface that allows users to easily access and switch between 
BlackBerry Dynamics
 apps, configure app settings, and take advantage of other useful features. For more information, see the BlackBerry Dynamics Launcher Framework documentation.
The 
BlackBerry Dynamics SDK
 and the 
BlackBerry Dynamics Launcher Library
 are mutually dependent. See the BlackBerry Dynamics SDK for Android Release Notes for the required version of the 
BlackBerry Dynamics Launcher Library
.
Restricted key prefix
The key prefix "blackberry" is reserved by 
BlackBerry
 and should not be used for key values, key attributes, or key elements. For more information and examples, see the Application Policies Definition in the appendix of the API Reference.